/**************************************************
* Zeus CMD - C++ Tutorial 37 : Writing Text Files *
* By Grant James (ZEUS)                           *
* http://www.zeuscmd.com                          *
**************************************************/
#include <iostream>
#include <stdlib.h>
#include <fstream>
#include <stdio.h>

using namespace std;

int main()
{
	// C File Writing
	//----------------
	FILE *outFile = NULL;

	outFile = fopen("cout.txt", "w");

	if (!outFile)
	{
		printf("Error creating cout.txt\n");
		return 1;
	}

	fprintf(outFile, "Hello World\n");
	fprintf(outFile, "Tutorial : %d\n", 37);

	fputs("fputs\n", outFile);
	fputc('.', outFile);

	fclose(outFile);

	// C++ File Writing
	//------------------
	ofstream fout;

	fout.open("c++out.txt");

	if (!fout.good())
	{
		cout << "Error creating c++.out.txt";
		return 1;
	}
	
	fout << "Hello World" << endl;
	fout << "Tutorial : " << 37 << endl;

	fout << "fputs" << endl;
	fout.put('.');

	fout.close();

	system("sleep 1");

	return 0;
}
